
.tree {
    display: flex;
    flex-direction: column;
    margin: 20px 0;
    max-width: 45%;
    flex-grow: 1;
    border: 1px solid #3aaa35;
    min-height: 70%;
    box-shadow: 10px -10px 0 -3px #ffffff, 10px -10px #3aaa35,
}

.tree-node-arrow {
    display: inline;
    height: 1rem;
    width: 1rem;
    cursor: pointer;
    user-select: none;
}

.tree-node-children {
    /* padding-left: 1rem; */
    width: 100%;
    display: block;
}
.tree-node-list {
    min-height: 0;
    height: auto;
    margin: 0;
    padding: 0;
    margin-left: 17px;
    list-style: none;
}
.tree-controls {
    margin-bottom: 0;
    margin-top: auto;
    padding: 10px;
    display: flex;
    justify-content: space-between;
    border-top: 1px solid #3aaa35;
}

/* .tree-controls-btn-material-old{
    margin: 0.1rem;
    display: inline-block;
    outline: 0;
    border: none;
    cursor: pointer;
    font-weight: 600;
    border-radius: 4px;
    font-size: 13px;
    height: 30px;
    background-color: #0000000d;
    color: #0e0e10;
    padding: 0 10px;
    max-width: 18%;
    flex-grow: 1;
    :hover {
        background-color: #0000001a;
    }
} */
.tree-controls-btn {
    border: 1px solid black;
    background-color: #ffffff;
    color: black;
    padding: 7px 14px;
    font-size: 16px;
    cursor: pointer;
    border-color: #3aaa35;
    color: #3aaa35;
    max-width: 23%;
    flex-grow: 1;
    user-select: none;
}
.tree-controls-btn:hover{
    background-color: #3aaa35;
    color: #ffffff;
}
.tree-controls-additional {
    padding: 0 10px;
}
.tree-wrapper {
    width: 45%;
    min-height: 75vh;
    display: flex;
    flex-direction: column;
    align-content: space-between;
}

.tree-node {
    margin: 1px;
    cursor: pointer;
}

.tree-node-selected {
    border: thin double #282c34;
}

.tree-node-label {
    display: inline-block;
    user-select: none;
    cursor: pointer;
}
#tree-node-list-top-container {
    padding: 15px 17px 15px 0;
    overflow: scroll;
    overflow-x: hidden;
    height: 100%;
}